Subject: bug#51183: lagrange: fribidi and harfbuzz dependencies?

From: Bengt Richter <[email-masked]>
Date: Thu, 14 Oct 2021 12:39:30 +0200

On +2021-10-14 08:55:49 +0200, Liliana Marie Prikler wrote:
> Hi,
> 
> Am Mittwoch, den 13.10.2021, 15:40 -0800 schrieb Christopher Howard:
> > Hello, the following did NOT work:
> > 
> > ```
> > (use-modules (guix packages))
> > (use-modules (gnu packages web-browsers))
> > (use-modules (gnu packages gtk))
> > (use-modules (gnu packages fribidi))
> > 
> > (packages->manifest
> >  (list
> >   (package
> >    (inherit lagrange)
> >    (inputs 
> >     `(("harfbuzz" ,harfbuzz)
> >       ("fribidi" , fribidi)
> >       ,@(package-inputs lagrange))))))
> > ```
> > 
> > The package does build, but the problem remains with the script being
> > displayed in the wrong direction.
> > 
> > I'm am greatly curious if there are more configure time options that
> > need to be set in relation to this. This paragraph indicates there
> > are related configure options:
> > 
> > https://github.com/skyjake/lagrange#unicode-text-rendering
> By default, Lagrange should have ENABLE_FRIBIDI and ENABLE_HARFBUZZ be
> ON, whereas ENABLE_FRIBIDI_BUILD and ENABLE_HARFBUZZ_MINIMAL are set
> OFF, just as the script states.  It would seem to be a bug elsewhere
> then.
> 
> Try to check the build log to see whether or not harfbuzz and fribidi
> respectively get correctly detected by CMake.  It ought to use pkg-
> config to do so, but I don't trust CMake on a fundamental level.  If it
> does, there might be a problem with how Lagrange uses them?
> 
> 
> 
>

  Is something possibly dependent on GNU extended functionality,
  that putting
    #define _GNU_SOURCE 1
  in a header file could enable?
 
  Also, if there are local files in the same directory as the Makefile,
  could  -I. in the right rule be needed to trigger compiles?

  ... a couple things that caused me hiccups before, maybe too obvious for others.
  
-- 
Regards,
Bengt Richter